cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 5, 3 & 1 MCU

Anonymous
Not applicable

Upon compiling, I get this error:

   

 

   

!E {linker} Cannot open file '../tools/libcm8c.a' in library path(s)

   

 

   

 

   

I've looked in that folder and libcm8.a is there, but I'm not sure why the compiler won't open the file. Does anyone have any suggestions?

0 Likes
Reply
2 Replies
Esteemed Contributor

1) Look at the file properties

   

2) Uninstall/ Reinstall Designer

   

3) Do a clean and build

   

 

   

Some suggestions.

   

 

   

Regards, Dana.

0 Likes
Reply
Anonymous
Not applicable

 Chris,

   

 

   

The issue may be due to non compatibility of PSoC Designer 5.4 with projects created with versions older than PD 4.4 with which your initial project was built.

The simplest solution is to recreate the project using your project as the reference. 

   

 

   

Regards,

   

Saheem

0 Likes
Reply